/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_43114331")

  // update field
  collection.fields.addAt(9, new Field({
    "hidden": false,
    "id": "number1421793101",
    "max": null,
    "min": null,
    "name": "min_participants_capacity",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  // update field
  collection.fields.addAt(10, new Field({
    "hidden": false,
    "id": "number3301820327",
    "max": null,
    "min": null,
    "name": "max_participants_capacity",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_43114331")

  // update field
  collection.fields.addAt(9, new Field({
    "hidden": false,
    "id": "number1421793101",
    "max": null,
    "min": null,
    "name": "min_capacity",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  // update field
  collection.fields.addAt(10, new Field({
    "hidden": false,
    "id": "number3301820327",
    "max": null,
    "min": null,
    "name": "max_capacity",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  return app.save(collection)
})
